HPL_dlaswp06N(3)

NAME
HPL_dlaswp06N - swap rows of U with rows of A.

SYNOPSIS
#include "hpl.h"

void HPL_dlaswp06N( const int M, const int N, double * A, const int LDA, double * U, const int LDU, const int * LINDXA );

DESCRIPTION
HPL_dlaswp06N swaps rows of U with rows of A at positions indicated by LINDXA.

ARGUMENTS

M       (local input)           const int
    On entry, M specifies the number of rows of A that should be swapped with rows of U. M must be at least zero.

N       (local input)           const int
    On entry, N specifies the length of the rows of A that should be swapped with rows of U. N must be at least zero.

A       (local output)          double *
    On entry, A points to an array of dimension (LDA,N). On exit, the rows of this array specified by LINDXA are replaced by rows or columns of U.

LDA     (local input)           const int
    On entry, LDA specifies the leading dimension of the array A. LDA must be at least MAX(1,M).

U       (local input/output)    double *
    On entry, U points to an array of dimension (LDU,N). This array contains the rows of U that are to be swapped with rows of A.

LDU     (local input)           const int
    On entry, LDU specifies the leading dimension of the array U. LDU must be at least MAX(1,M).

LINDXA  (local input)           const int *
    On entry, LINDXA is an array of dimension M that contains the local row indexes of A that should be swapped with U.

SEE ALSO
HPL_dlaswp00N (3), HPL_dlaswp10N (3), HPL_dlaswp01N (3), HPL_dlaswp01T (3), HPL_dlaswp02N (3), HPL_dlaswp03N (3), HPL_dlaswp03T (3), HPL_dlaswp04N (3), HPL_dlaswp04T (3), HPL_dlaswp05N (3), HPL_dlaswp05T (3), HPL_dlaswp06N (3), HPL_dlaswp06T (3).